Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Unsupported_Argument Class Referencefinal

`#include <exceptn.h>`

Inheritance diagram for Botan::Unsupported_Argument:

## Public Member Functions
virtual int | error_code () const noexcept
ErrorType | error_type () const noexcept override
| Unsupported_Argument (const std::string &msg)
const char * | what () const noexcept override

## Detailed Description

Unsupported_Argument Exception

An argument that is invalid because it is not supported by Botan. It might or might not be valid in another context like a standard.

This exception is no longer used, instead Not_Implemented is thrown. It will be removed in a future major release.

Definition at line 427 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Unsupported_Argument()

Botan::Unsupported_Argument::Unsupported_Argument | ( | const std::string & | msg | ) |
| inline explicit

Definition at line 430 of file exceptn.h.

430: Invalid_Argument(msg) {}
Botan::Invalid_Argument::Invalid_Argument
Invalid_Argument(const std::string &msg)
Definition: exceptn.cpp:84

## Member Function Documentation

## ◆ error_code()

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_ReturnError, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, and Botan::System_Error.

Definition at line 112 of file exceptn.h.

112{ return 0; }

## ◆ error_type()

ErrorType Botan::Invalid_Argument::error_type | ( |  | ) | const
| inline override virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Reimplemented in Botan::Invalid_Key_Length, Botan::Invalid_IV_Length, Botan::Encoding_Error, and Botan::Decoding_Error.

Definition at line 145 of file exceptn.h.

145{ return ErrorType::InvalidArgument; }
Botan::ErrorType::InvalidArgument
@ InvalidArgument

References Botan::InvalidArgument.

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following file:

- src/lib/utils/exceptn.h